import "@/css/tailwind.css";
import { createApp } from "vue";
import App from "@/js/App.vue";
import snowflake from "@/js/plugins/snowflake";
import router from "@/js/router";
import i18n from "@/js/i18n";
import { createHead } from "@vueuse/head";
import { createPinia } from "pinia";
import dayjs from "@/js/plugins/dayjs";

const app = createApp(App);
const head = createHead();
const pinia = createPinia();

app.use(i18n);
app.use(head);
app.use(pinia);
app.use(dayjs);
app.use(router);
app.use(snowflake);
app.mount("#app");
